from django.urls import path

from . import views

urlpatterns = [
    path("", views.index, name="index"),
    path("login", views.LoginView.as_view(), name="login"),
    path("logout", views.LogoutView.as_view(), name="logout"),
    path("transactions", views.TransactionListView.as_view(), name="transactions"),
    path("transaction", views.transaction, name="transaction"),
    path("transaction/<uuid>", views.transaction, name="transaction"),
    path("transaction/<uuid>/del", views.del_transaction, name="del_transaction"),
    path("del_invoice/<uuid>/<invoice_id>", views.del_invoice, name="del_invoice"),
    path("invoice/<uuid>", views.invoice, name="invoice"),
    path("category", views.category, name="category"),
    path("category/<uuid>", views.category, name="category"),
    path("category/<uuid>/del", views.del_category, name="del_category"),
    path("snapshot", views.snapshot, name="snapshot"),
    path("snapshot/<uuid>", views.snapshot, name="snapshot"),
    path("snapshot/<uuid>/del", views.del_snapshot, name="del_snapshot"),
]
